Package org.jbpm.services.task.impl

## Class TaskContentServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskContentServiceImpl

- All Implemented Interfaces:
    `org.kie.internal.task.api.TaskContentService`

      public class TaskContentServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskContentService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskContentServiceImpl()` |
    `TaskContentServiceImpl​(org.kie.internal.task.api.TaskContext context, org.kie.internal.task.api.TaskPersistenceContext persistenceContext, TaskEventSupport taskEventSupport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMarshallerContext​(String ownerId, org.kie.internal.task.api.ContentMarshallerContext context)` |
    `long` | `addOutputContent​(long taskId, Map<String,​Object> params)` |
    `void` | `deleteDocumentContent​(long taskId, long contentId)` |
    `List<org.kie.api.task.model.Content>` | `getAllContentByTaskId​(long taskId)` |
    `org.kie.api.task.model.Content` | `getContentById​(long contentId)` |
    `org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext​(org.kie.api.task.model.Task task)` |
    `protected Map<String,​Object>` | `loadContentData​(Long contentId, org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Task` | `loadTaskVariables​(org.kie.api.task.model.Task task)` |
    `void` | `removeMarshallerContext​(String ownerId)` |
    `long` | `setDocumentContent​(long taskId, org.kie.api.task.model.Content content)` |
    `void` | `setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |
    `void` | `setTaskEventSupport​(TaskEventSupport taskEventSupport)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskContentServiceImpl

          public TaskContentServiceImpl()

    - #### TaskContentServiceImpl

          public TaskContentServiceImpl​(org.kie.internal.task.api.TaskContext context,
                                        org.kie.internal.task.api.TaskPersistenceContext persistenceContext,
                                        TaskEventSupport taskEventSupport)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### setTaskEventSupport

          public void setTaskEventSupport​(TaskEventSupport taskEventSupport)

    - #### addOutputContent

          public long addOutputContent​(long taskId,
                                       Map<String,​Object> params)

      Specified by:
        `addOutputContent` in interface `org.kie.internal.task.api.TaskContentService`

    - #### setDocumentContent

          public long setDocumentContent​(long taskId,
                                         org.kie.api.task.model.Content content)

      Specified by:
        `setDocumentContent` in interface `org.kie.internal.task.api.TaskContentService`

    - #### deleteDocumentContent

          public void deleteDocumentContent​(long taskId,
                                            long contentId)

      Specified by:
        `deleteDocumentContent` in interface `org.kie.internal.task.api.TaskContentService`

    - #### getAllContentByTaskId

          public List<org.kie.api.task.model.Content> getAllContentByTaskId​(long taskId)

      Specified by:
        `getAllContentByTaskId` in interface `org.kie.internal.task.api.TaskContentService`

    - #### getContentById

          public org.kie.api.task.model.Content getContentById​(long contentId)

      Specified by:
        `getContentById` in interface `org.kie.internal.task.api.TaskContentService`

    - #### addMarshallerContext

          public void addMarshallerContext​(String ownerId,
                                           org.kie.internal.task.api.ContentMarshallerContext context)

      Specified by:
        `addMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

    - #### removeMarshallerContext

          public void removeMarshallerContext​(String ownerId)

      Specified by:
        `removeMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

    - #### getMarshallerContext

          public org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext​(org.kie.api.task.model.Task task)

      Specified by:
        `getMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

    - #### loadTaskVariables

          public org.kie.api.task.model.Task loadTaskVariables​(org.kie.api.task.model.Task task)

      Specified by:
        `loadTaskVariables` in interface `org.kie.internal.task.api.TaskContentService`

    - #### loadContentData

          protected Map<String,​Object> loadContentData​(Long contentId,
                                                             org.kie.api.task.model.Task task)